Php Pdf Add-ons - Defect #586

Empty table row
01/30/2014 11:04 AM - Lebohang Mofokeng

Status: Closed Start date: 01/30/2014
Priority: Normal Due date:

Assignee: Andrei Bintintan % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description
When the table rows skip on to a new page, the last row on the page is always empty, as shown on the image.

History

#1 - 01/30/2014 11:56 AM - Andrei Bintintan

- Assignee set to Andrei Bintintan

#2 - 01/30/2014 11:56 AM - Andrei Bintintan

- Status changed from New to In Progress

#3 - 01/30/2014 12:58 PM - Andrei Bintintan

- Status changed from In Progress to Feedback

- Assignee changed from Andrei Bintintan to Lebohang Mofokeng

If split mode is enabled, then the whole table "height" is drawn, which might lead to such cases.

You could try to disable the split mode:

$oTable->setSplitMode( false );

Please specify which add-on you're using, which version and if you could send me a working sample to reproduce this?

#4 - 01/30/2014 01:04 PM - Lebohang Mofokeng

Disabling split mode did the trick, the issue is now resolved. thanx!
#5 - 01/30/2014 03:09 PM - Andrei Bintintan

Still, it can be seen as a bug.
When you disable the split-mode, the cells are NOT Splitted on a page-break. Eg: you have a 4 line cell, it will not be splitted.

Can you send me an "example" to reproduce this case? | could try to optimize it.

#6 - 02/03/2014 01:20 PM - Lebohang Mofokeng
- File schedule.php added

| have attached a PHP file that reproduces the issue

#7 - 02/04/2014 09:39 AM - Andrei Bintintan
- Status changed from Feedback to In Progress

- Assignee changed from Lebohang Mofokeng to Andrei Bintintan

Thanks, | will have a look and see what | can do to improve things.

#8 - 02/07/2014 10:20 AM - Lebohang Mofokeng

Hi Andrei, any feedback with progress on the above issue?

#9 - 02/07/2014 11:00 AM - Andrei Bintintan

Yes, | can confirm that is a bug, but haven't got time to fix it properly.
In your case the setSplitMode will solve the problem, but | also want to fix this issue.

#10 - 07/07/2016 10:12 AM - Andrei Bintintan

- Status changed from In Progress to Closed

Files
Capture.PNG 16 KB 01/30/2014 Lebohang Mofokeng
schedule.php 6.17 KB 02/03/2014 Lebohang Mofokeng
